org.eclipse.actf.model.dom.odf.xlink

## Class XLinkConstants

- java.lang.Object
- - org.eclipse.actf.model.dom.odf.xlink.XLinkConstants

    public final class XLinkConstants
    extends Object

XLinkConstants defines the constant values used by xlink namespace of ODF DOM API

### Field Summary

Fields
`static String` `ATTR_ACTUATE`
`static String` `ATTR_HREF`
`static String` `ATTR_SHOW`
`static String` `ATTR_TYPE`
`static String` `LINK_TYPE_SIMPLE`
`static String` `XLINK_NAMESPACE_URI`

### Constructor Summary

Constructors
Constructor and Description
`XLinkConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### XLINK_NAMESPACE_URI

    public static final String XLINK_NAMESPACE_URI

See Also:
  Constant Field Values

#### LINK_TYPE_SIMPLE

    public static final String LINK_TYPE_SIMPLE

See Also:
  Constant Field Values

#### ATTR_HREF

    public static final String ATTR_HREF

See Also:
  Constant Field Values

#### ATTR_TYPE

    public static final String ATTR_TYPE

See Also:
  Constant Field Values

#### ATTR_SHOW

    public static final String ATTR_SHOW

See Also:
  Constant Field Values

#### ATTR_ACTUATE

    public static final String ATTR_ACTUATE

See Also:
  Constant Field Values

### Constructor Detail

#### XLinkConstants

    public XLinkConstants()